How to update client for Berlin HF?

Hi, it’s getting close to the Berlin hardfork. Was researching which client versions are compatible with the hardfork. It appears that none of these versions are currently on the dapp store? Is that correct? Do they show up last moment? Thanks.

Referring to these versions of clients-

Client Versions

In order to be compatible with the Berlin upgrade, node operators will need to upgrade the client version that they run. The versions listed below for each client support Berlin across all Ethereum networks, both testnets and mainnet.

I love the Dappnode product, how simple it is to operate and how it “just works” most of the time, along the lines of Apple. That said I have two main criticisms.

One is that it seems to further centralize the ethereum network to Prysm.

The second is the complete lack of support. Absolute zero help activity from any community on either this forum or the subreddit, or anywhere that I’m aware. Now you could easily argue - well what support do you deserve for a free open source operating system? And you would be making a good argument. It just comes down to: how could any sane person hand the keys to 32 eth over to an OS for an indefinite period of time for which you will not get any maintenance help when you need it, ever? Just pure insanity.

Those are my criticisms. Let me know what I can do to help make them better, I’m willing to volunteer anyway I can.

Go-ethereum is updated, dappnode package version v0.1.14 uses v1.10.1 of geth.
Nethermind is updated, dappnode package version v1.0.3 uses 1.10.41 of nethermind.
These 2 are updated for sure.
Sometimes it can take a time to appear on the dappstore because of the IPFS propagation.

You will get much more support if you get Discord and go to the DAppNode channel on Discord.

Here is a link to the Discord server

1 Like